# Uses of Interface
com.databricks.jdbc.api.IDatabricksStatement

Packages that use IDatabricksStatement
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.internal

## Uses of IDatabricksStatement in com.databricks.jdbc.api.impl

Classes in com.databricks.jdbc.api.impl that implement IDatabricksStatement
Modifier and Type
Class
Description
`class`
`DatabricksPreparedStatement`
`class`
`DatabricksStatement`
Methods in com.databricks.jdbc.api.impl with parameters of type IDatabricksStatement
Modifier and Type
Method
Description
`void`
DatabricksConnection.`closeStatement(IDatabricksStatement statement)`

## Uses of IDatabricksStatement in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal with parameters of type IDatabricksStatement
Modifier and Type
Method
Description
`void`
IDatabricksConnectionInternal.`closeStatement(IDatabricksStatement statement)`
Closes a statement from the connection's active set.